from dataclasses import dataclass
from dataclasses_json import dataclass_json

from rtmp_worker.model.task_status_enum import TaskStatusEnum
from rtmp_worker.model.task_status_results import TaskStatusResults

@dataclass_json
@dataclass
class TaskStatusResponse():
    results: TaskStatusResults
    task_uuid: str
    request_status: TaskStatusEnum
    is_success: bool
    error_code: int
    error_desc: str
